%define qtdir /usr/lib/qt3
%define beta alpha
%define objprelink 0

Name: tora
Version: 1.3.8
Release: alt1.%beta

Group: Databases
Summary: A GUI-based database development program
License: GPL
Url: http://www.globecom.se/tora/

Source: http://prdownloads.sourceforge.net/tora/tora-alpha-%version.tar.bz2
Patch1: tora-1.3.7-compile.patch

ExcludeArch: alpha
Requires: libqt3-gcc_compiled = %__gcc_version_base

# Automatically added by buildreq on Wed Jan 15 2003
#BuildRequires: XFree86-libs freetype2 gcc-c++ kdelibs-devel libGLU libXft libart_lgpl libexpat libfontconfig libjpeg liblcms libmng libqt3-devel libstdc++-devel
BuildRequires: XFree86-libs freetype2 gcc-c++ kdelibs-devel
BuildRequires: libGLU libXft libart_lgpl libexpat libfontconfig
BuildRequires: libjpeg liblcms libmng libqt3-devel libstdc++-devel libart_lgpl
BuildRequires: libqt3-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
Tora ("Toolkit for Oracle" - note that we don't ship the Oracle
plugin) is a GUI-based database development program, offering SQL
worksheets and a database browser.

%prep
%setup -q
#%patch1 -p1

%build
export QTDIR=%qtdir
export CFLAGS="%optflags" CXXFLAGS="%optflags"
./configure \
	--prefix=%prefix \
	--without-rpath \
	--without-oracle \
	--with-kde \
	--with-qt=%qtdir \
	--with-qt-moc=%qtdir/bin/moc \
	--with-qt-uic=%qtdir/bin/uic

%if %objprelink
%make GCC=g++prelink
%else
%make GCC=g++
%endif

%install
mkdir -p %buildroot/usr/lib/tora
mkdir -p %buildroot/usr/bin/tora
%make ROOT=%buildroot install

# This is weird....
if [ -f %buildroot/usr/bin/tora/tora-plugin ]; then
	mv %buildroot/usr/bin/tora/tora-plugin %buildroot/usr/bin/tora2
	rmdir %buildroot/usr/bin/tora
	mv %buildroot/usr/bin/tora2 %buildroot/usr/bin/tora
fi

# create menu
mkdir -p %buildroot/usr/lib/menu
kdedesktop2mdkmenu.pl tora "Applications/Databases" %buildroot/usr/share/applnk/Development/tora.desktop %buildroot/usr/lib/menu/tora

%post
%update_menus

%postun
%clean_menus


%files
%_bindir/*
%_libdir/tora
%_menudir/*
%_iconsdir/hicolor/*/apps/*.xpm
%_datadir/applnk/Development/tora.desktop

%changelog
* Wed Jan 15 2003 Sergey V Turchin <zerg@altlinux.ru> 1.3.8-alt1.alpha
- new version

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1.3.7-alt2.alpha
- rebuild with gcc3.2 && objprelink

* Mon Aug 19 2002 Sergey V Turchin <zerg@altlinux.ru> 1.3.7-alt1.alpha
- build for ALT

* Mon Aug 12 2002 Tim Powers <timp@redhat.com>
- rebuilt with gcc-3.2

* Tue Jul 23 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.3.6.1-2
- Rebuild

* Wed Jul 10 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.3.6.1-1
- 1.3.6.1

* Wed Jul  3 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.3.6-1
- 1.3.6

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May  6 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.3.5.1-1
- 1.3,5.1. Development release, and we now get support for PostgreSQL

* Tue Apr 16 2002 Than Ngo <than@redhat.com> 1.2.3-2
- rebuild

* Mon Mar 25 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2.3-1
- 1.2.3, a minor bug fix release

* Fri Mar  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.2-2
- Add patch to fix compilation with KDE 3.x/Qt 3.x

* Tue Feb  5 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2.2-1
- Initial build.

